rem xs3_fpga_topdown_baseboard

rmdir /q /s xst _ngo xlnx_auto_0_xdb
del *.ncd *.xpi *.ngc *.bgn *.ngr *.ngm *.syr *.bld *.stx *.twr *.twx *_pad.* 
del *.pad *.drc *.xml *.ngd *.xst *.xrpt *.map *.mrp *.par *.pcf *.ut *.unroutes
del *.ptwx *.ntrc* *.cmd_log *.srp *.xrpt xlnx_auto_0.ise *.lst *_vhdl.prj
   
xst -ifn fp_xc3s400_fg456.txt -intstyle xflow
ngdbuild flash_programmer.ngc -p xc3s400-4-fg456 -uc flash_programmer_xs3_fpga_topdown_baseboard.ucf
map -k 6 -detail -pr b flash_programmer
par -ol med -w flash_programmer.ncd flash_programmer_new
bitgen -intstyle ise -w -g DebugBitstream:No -g Binary:no -g CRC:Enable -g ConfigRate:6 -g CclkPin:PullUp -g M0Pin:PullUp -g M1Pin:PullUp -g M2Pin:PullUp -g ProgPin:PullUp -g DonePin:PullUp -g TckPin:PullUp -g TdiPin:PullUp -g TdoPin:PullUp -g TmsPin:PullUp -g UnusedPin:PullDown -g UserID:0xFFFFFFFF -g DCMShutdown:Disable -g DCIUpdateMode:AsRequired -g StartUpClk:CClk -g DONE_cycle:4 -g GTS_cycle:5 -g GWE_cycle:6 -g LCK_cycle:NoWait -g Match_cycle:Auto -g Security:None -g DonePipe:No -g DriveDone:No flash_programmer_new.ncd ..\..\Bitfiles\xs3_fpga_topdown_baseboard\FPGA\flash_programmer_xs3_fpga_topdown_baseboard_400.bit



rmdir /q /s xst _ngo xlnx_auto_0_xdb
del *.ncd *.xpi *.ngc *.bgn *.ngr *.ngm *.syr *.bld *.stx *.twr *.twx *_pad.* 
del *.pad *.drc *.xml *.ngd *.xst *.xrpt *.map *.mrp *.par *.pcf *.ut *.unroutes
del *.ptwx *.ntrc* *.cmd_log *.srp *.xrpt xlnx_auto_0.ise *.lst *_vhdl.prj

xst -ifn fp_xc3s1000_fg456.txt -intstyle xflow
ngdbuild flash_programmer.ngc -p xc3s1000-4-fg456 -uc flash_programmer_xs3_fpga_topdown_baseboard.ucf
map -k 6 -detail -pr b flash_programmer
par -ol med -w flash_programmer.ncd flash_programmer_new
bitgen -intstyle ise -w -g DebugBitstream:No -g Binary:no -g CRC:Enable -g ConfigRate:6 -g CclkPin:PullUp -g M0Pin:PullUp -g M1Pin:PullUp -g M2Pin:PullUp -g ProgPin:PullUp -g DonePin:PullUp -g TckPin:PullUp -g TdiPin:PullUp -g TdoPin:PullUp -g TmsPin:PullUp -g UnusedPin:PullDown -g UserID:0xFFFFFFFF -g DCMShutdown:Disable -g DCIUpdateMode:AsRequired -g StartUpClk:CClk -g DONE_cycle:4 -g GTS_cycle:5 -g GWE_cycle:6 -g LCK_cycle:NoWait -g Match_cycle:Auto -g Security:None -g DonePipe:No -g DriveDone:No flash_programmer_new.ncd ..\..\Bitfiles\xs3_fpga_topdown_baseboard\FPGA\flash_programmer_xs3_fpga_topdown_baseboard_1000.bit



rmdir /q /s xst _ngo xlnx_auto_0_xdb
del *.ncd *.xpi *.ngc *.bgn *.ngr *.ngm *.syr *.bld *.stx *.twr *.twx *_pad.* 
del *.pad *.drc *.xml *.ngd *.xst *.xrpt *.map *.mrp *.par *.pcf *.ut *.unroutes
del *.ptwx *.ntrc* *.cmd_log *.srp *.xrpt xlnx_auto_0.ise *.lst *_vhdl.prj

xst -ifn fp_xc3s1500_fg456.txt -intstyle xflow
ngdbuild flash_programmer.ngc -p xc3s1500-5-fg456 -uc flash_programmer_xs3_fpga_topdown_baseboard.ucf
map -k 6 -detail -pr b flash_programmer
par -ol med -w flash_programmer.ncd flash_programmer_new
bitgen -intstyle ise -w -g DebugBitstream:No -g Binary:no -g CRC:Enable -g ConfigRate:6 -g CclkPin:PullUp -g M0Pin:PullUp -g M1Pin:PullUp -g M2Pin:PullUp -g ProgPin:PullUp -g DonePin:PullUp -g TckPin:PullUp -g TdiPin:PullUp -g TdoPin:PullUp -g TmsPin:PullUp -g UnusedPin:PullDown -g UserID:0xFFFFFFFF -g DCMShutdown:Disable -g DCIUpdateMode:AsRequired -g StartUpClk:CClk -g DONE_cycle:4 -g GTS_cycle:5 -g GWE_cycle:6 -g LCK_cycle:NoWait -g Match_cycle:Auto -g Security:None -g DonePipe:No -g DriveDone:No flash_programmer_new.ncd ..\..\Bitfiles\xs3_fpga_topdown_baseboard\FPGA\flash_programmer_xs3_fpga_topdown_baseboard_1500.bit



rem lc3e_fpga

rmdir /q /s xst _ngo xlnx_auto_0_xdb
del *.ncd *.xpi *.ngc *.bgn *.ngr *.ngm *.syr *.bld *.stx *.twr *.twx *_pad.* 
del *.pad *.drc *.xml *.ngd *.xst *.xrpt *.map *.mrp *.par *.pcf *.ut *.unroutes
del *.ptwx *.ntrc* *.cmd_log *.srp *.xrpt xlnx_auto_0.ise *.lst *_vhdl.prj

xst -ifn fp_xc3s100e_tq144.txt -intstyle xflow
ngdbuild flash_programmer.ngc -p xc3s100e-4-tq144 -uc flash_programmer_lc3e_fpga.ucf
map -k 6 -detail -pr b flash_programmer
par -ol med -w flash_programmer.ncd flash_programmer_new
bitgen -intstyle ise -w -g DebugBitstream:No -g Binary:no -g CRC:Enable -g ConfigRate:6 -g CclkPin:PullUp -g M0Pin:PullUp -g M1Pin:PullUp -g M2Pin:PullUp -g ProgPin:PullUp -g DonePin:PullUp -g TckPin:PullUp -g TdiPin:PullUp -g TdoPin:PullUp -g TmsPin:PullUp -g UnusedPin:PullDown -g UserID:0xFFFFFFFF -g DCMShutdown:Disable -g DCIUpdateMode:AsRequired -g StartUpClk:CClk -g DONE_cycle:4 -g GTS_cycle:5 -g GWE_cycle:6 -g LCK_cycle:NoWait -g Match_cycle:Auto -g Security:None -g DonePipe:No -g DriveDone:No flash_programmer_new.ncd ..\..\Bitfiles\lc3e_fpga\FPGA\flash_programmer_lc3e_fpga_100e.bit



rmdir /q /s xst _ngo xlnx_auto_0_xdb
del *.ncd *.xpi *.ngc *.bgn *.ngr *.ngm *.syr *.bld *.stx *.twr *.twx *_pad.* 
del *.pad *.drc *.xml *.ngd *.xst *.xrpt *.map *.mrp *.par *.pcf *.ut *.unroutes
del *.ptwx *.ntrc* *.cmd_log *.srp *.xrpt xlnx_auto_0.ise *.lst *_vhdl.prj

xst -ifn fp_xc3s250e_tq144.txt -intstyle xflow
ngdbuild flash_programmer.ngc -p xc3s250e-4-tq144 -uc flash_programmer_lc3e_fpga.ucf
map -k 6 -detail -pr b flash_programmer
par -ol med -w flash_programmer.ncd flash_programmer_new
bitgen -intstyle ise -w -g DebugBitstream:No -g Binary:no -g CRC:Enable -g ConfigRate:6 -g CclkPin:PullUp -g M0Pin:PullUp -g M1Pin:PullUp -g M2Pin:PullUp -g ProgPin:PullUp -g DonePin:PullUp -g TckPin:PullUp -g TdiPin:PullUp -g TdoPin:PullUp -g TmsPin:PullUp -g UnusedPin:PullDown -g UserID:0xFFFFFFFF -g DCMShutdown:Disable -g DCIUpdateMode:AsRequired -g StartUpClk:CClk -g DONE_cycle:4 -g GTS_cycle:5 -g GWE_cycle:6 -g LCK_cycle:NoWait -g Match_cycle:Auto -g Security:None -g DonePipe:No -g DriveDone:No flash_programmer_new.ncd ..\..\Bitfiles\lc3e_fpga\FPGA\flash_programmer_lc3e_fpga_250e.bit


rem ddr_fpga_mini-itx-baseboard